Type to search.

Create deployment template

  • POST /deployments/templates
Auth

Creates a deployment template.

Query parameters

validate_only boolean · default: false

If true, the deployment template definition will be validated but the template will not be created.

region string required

Region of the deployment template

Request body

The deployment template definition.

name string required

A human readable name for the template.

description string

An optional description for the template.

deployment_template object required

A request for creating a new Deployment consisting of multiple clusters

name string

A name for the deployment; otherwise this will be the generated deployment id

alias string

A user-defined alias to use in place of Cluster IDs for user-friendly URLs

region string

Identifier of the region to be used as the default for all the resources of the deployment

version string

The version for all the resources of the deployment (must be one of the supported versions). Defaults to the latest version if not specified.

system_owned boolean

Whether or not if this is system owned template.

order integer · format: int32

Determines the order in which this template should be returned when listed. Templates are returned in ascending order. If not specified, then the template willbe appended to the end of the list.

hidden boolean

Whether or not the deployment template is hidden by default.

min_version string

Minimum stack version required by this template, if any.

template_category_id string

Provider and version agnostic template identifier used for grouping related template types.

Responses

The request was valid (used when validate_only is true).

application/json
id string required

The ID